# $Revision: 1.7 $, $Date: 2009/03/16 18:53:21 $
%define		modname proctitle
Summary:	Change current process' name
Summary(pl.UTF-8):	Zmiana nazwy bieżącego procesu
Name:		php-pecl-%{modname}
Version:	0.1.1
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	274eb72584b7fc617f191473bcd2ee14
URL:		http://pecl.php.net/package/proctitle/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows changing the current process'. This is useful
when using pcntl_fork() to identify running processes in process list.

%description -l pl.UTF-8
Rozszerzenie to pozwala na zmianę nazwy bieżącego procesu. Jest to
szczególnie przydatne do identyfikacji procesów na liście procesów w
przypadku korzystania z pcntl_fork().

%prep
%setup -q -c
cat <<'EOF' > %{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%build
cd %{modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -D %{modname}-%{version}/modules/proctitle.so $RPM_BUILD_ROOT%{php_extensiondir}/%{modname}.so
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cp -a %{modname}.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{modname}-%{version}/README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-proctitle.spec,v $
Revision 1.7  2009/03/16 18:53:21  glen
- there was no pear package

Revision 1.6  2009/03/16 18:52:15  glen
- release 2

Revision 1.5  2009/02/03 20:02:22  qboosh
- typo

Revision 1.4  2009/02/01 18:23:58  adamg
- updated to 0.1.1 (official pecl release)
- pl summary/description
- cosmetics

Revision 1.3  2008/06/25 13:39:30  glen
- release 2

Revision 1.2  2008/06/25 13:06:45  arekm
- fix build

Revision 1.1  2008/06/25 13:05:14  arekm
- initial
